Projects - Phases API
Bu içerik henüz dilinizde mevcut değil.
Projects - Phases API
Заголовок раздела «Projects - Phases API»List all phases of a project
Заголовок раздела «List all phases of a project»List all phases of a project with a specific ID:
GET /projects/:id/phasesResponse
Заголовок раздела «Response»Status: 200 OK[ { "completed_at": null, "created_at": "2016-12-23T05:09:08-06:00", "id": 22, "name": "Initiation", "position": 1, "started_at": "2016-12-23T05:09:08-06:00", "status": "in_progress", "updated_at": "2016-12-23T05:09:08-06:00" }, { "completed_at": null, "created_at": "2016-12-23T05:09:08-06:00", "id": 23, "name": "Planning", "position": 2, "started_at": null, "status": "registered", "updated_at": "2016-12-23T05:09:08-06:00" }, "..."]The response contains these fields by default.
Add a phase to a project
Заголовок раздела «Add a phase to a project»Add a new phase to a project.
POST /project/:id/phases/When creating a new phase these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "completed_at": null, "created_at": "2016-12-23T05:09:08-06:00", "id": 22, "name": "Initiation", "position": 1, "started_at": "2016-12-23T05:09:08-06:00", "status": "in_progress", "updated_at": "2016-12-23T05:09:08-06:00"}Update a phase of a project
Заголовок раздела «Update a phase of a project»PATCH /project/:id/phases/:idWhen updating a project phase these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "completed_at": null, "created_at": "2016-12-23T05:09:08-06:00", "id": 22, "name": "Initiation", "position": 1, "started_at": "2016-12-23T05:09:08-06:00", "status": "in_progress", "updated_at": "2016-12-23T05:09:08-06:00"}Remove a phase from a project
Заголовок раздела «Remove a phase from a project»Remove a phase with a specific ID from a project with a specific ID. Only phases with status
registered
may be deleted.
DELETE /project/:id/phases/:phase_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all phases from a project
Заголовок раздела «Remove all phases from a project»Remove all phases of a project with a specific ID. Only possible when the project has no tasks.
DELETE /project/:id/phasesResponse
Заголовок раздела «Response»Status: 204 No Contentcompleted_at
Readonly datetime — The date and time at which the project phase was set to the status “Completed”.
created_at
Readonly datetime — The date and time at which the project phase was created.
id
Readonly integer — The unique ID of the project phase.
name
Required string (max 50) — The Name field is used to enter the name of the project phase.
position
Optional integer — The Position field dictates the position that the project phase takes when it is presented in the project’s Gantt chart.
started_at
Readonly datetime — The Started field indicates the date and time at which the first project task of the phase was set to a status other than ‘Registered’ or ‘Canceled’.
status
Readonly
enum
, default:
registered
— The Status field indicates the current status of the project phase. Valid values are:
registered: Registeredin_progress: In Progresscompleted: Completed
updated_at
Readonly
datetime
— The date and time of the last update of the project phase. If the phase has no updates it contains the
created_at
value.